Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77404 - up2date --show-channels --showall runs package and channel names together
Summary: up2date --show-channels --showall runs package and channel names together
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-06 16:11 UTC by Nick Strugnell
Modified: 2007-04-18 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 06:06:50 UTC


Attachments (Terms of Use)

Description Nick Strugnell 2002-11-06 16:11:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
If the package name is longer than 40 characters it will be run into the channel
name using the above command. This makes it impossible to parse out which
packages are in which channels when scripting.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.up2date --show-channels --showall | grep XFree86-ISO8859-15-100dpi


Actual Results:  Got the result:

XFree86-ISO8859-15-100dpi-fonts-4.2.0-72redhat-linux-i386-8.0

i.e. no space between package and channel names

Expected Results:  Should have got:

XFree86-ISO8859-15-100dpi-fonts-4.2.0-72 redhat-linux-i386-8.0

i.e. some whitespace between the package and channel names

Additional info:

This needs to be fixed for work at Nokia.

Comment 1 Adrian Likins 2003-01-15 06:06:50 UTC
output isn't really designed to be used for scripting, it's
a info display.

What exactly is it nokia wants to do with this?

Comment 2 Nick Strugnell 2003-01-16 08:55:23 UTC
Needed for a custom channel/package browser. 


Note You need to log in before you can comment on or make changes to this bug.